# Class: LabelInfo

## LabelInfo()

#### new LabelInfo()

标注对象

Source:
  - LabelInfo.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<LabelInfo>}

构造一个新的LabelInfo对象

Source:
  - LabelInfo.js, line 23

##### Returns:

Type
  Promise.<LabelInfo>

#### (async, static) getAnnInfo() → {TextAnnInfo}

获取注记信息

Source:
  - LabelInfo.js, line 160

##### Returns:

注记信息(TextAnnInfo)

Type
  TextAnnInfo

#### (async, static) getCaption() → {String}

获取名称

Source:
  - LabelInfo.js, line 40

##### Returns:

名称

Type
  String

#### (async, static) getIsVisible() → {boolean}

获取是否可见

Source:
  - LabelInfo.js, line 70

##### Returns:

Type
  boolean

#### (async, static) getMaxScale() → {double}

获取最大显示比

Source:
  - LabelInfo.js, line 130

##### Returns:

Type
  double

#### (async, static) getMinScale() → {double}

获取最小显示比

Source:
  - LabelInfo.js, line 100

##### Returns:

Type
  double

#### (async, static) setAnnInfo(textAnnInfo) → {Promise.<Void>}

设置注记信息

##### Parameters:

Name | Type | Description
--- | --- | ---
`textAnnInfo` | Object | 注记信息

Source:
  - LabelInfo.js, line 181

##### Returns:

Type
  Promise.<Void>

#### (async, static) setCaption(caption) → {Promise.<Void>}

设置名称

##### Parameters:

Name | Type | Description
--- | --- | ---
`caption` | String | 名称

Source:
  - LabelInfo.js, line 56

##### Returns:

Type
  Promise.<Void>

#### (async, static) setIsVisible(isVisible) → {Promise.<Void>}

设置是否可见

##### Parameters:

Name | Type | Description
--- | --- | ---
`isVisible` | boolean |

Source:
  - LabelInfo.js, line 86

##### Returns:

Type
  Promise.<Void>

#### (async, static) setMaxScale(maxScale) → {Promise.<Void>}

设置最大显示比

##### Parameters:

Name | Type | Description
--- | --- | ---
`maxScale` | double |

Source:
  - LabelInfo.js, line 146

##### Returns:

Type
  Promise.<Void>

#### (async, static) setMinScale(minScale) → {Promise.<Void>}

设置最小显示比

##### Parameters:

Name | Type | Description
--- | --- | ---
`minScale` | double |

Source:
  - LabelInfo.js, line 116

##### Returns:

Type
  Promise.<Void>